%global momorel 2
%global svn_date 20070717
%global md5sum_src0 cd2b81f5af7a6438d495334d797eb088

%global use_svn 1

Summary:        Start and manage Compiz Fusion
Name:           fusion-icon

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configuration, please copy it to
# ${HOME}/rpm/specopt/fusion-icon.specopt and edit it.

## Configuration
%{?!with_qt3:           %global with_qt3                   1}

Version:        0.0.1
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release:        %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source0:        %{name}-%{version}-%{svn_date}.tar.bz2
%else
%NoSource 0     http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
%endif
Source1:        fusion-icon.desktop
Source2:        fusion-icon-qt3.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       compiz-core
BuildRequires:	gtk2-devel, python
Obsoletes: 	beryl-manager
%if ! %{with_qt3}
Obsoletes: fusion-icon-qt3
%endif

%description
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%if %{with_qt3}
%package qt3
Summary: system tray controller for Compiz and KDE3
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: PyQt, PyKDE, kdebindings
Obsoletes: pykompiz

%description qt3
This is system tray controller for Compiz and KDE3.
%endif

%prep
%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

# perl -p -i -e "s|INSTALL_PREFIX = '/usr'|INSTALL_PREFIX = '%{buildroot}/usr'|" setup.py
perl -p -i -e "s|prefix = /usr|prefix = %{buildroot}/usr|" Makefile

%build

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make TARGET=%{buildroot} install

# install desktop file
mkdir -p  %{buildroot}/usr/share/applications/kde
install -m 644 %{SOURCE1} %{buildroot}/usr/share/applications/

%if %{with_qt3}
# install desktop file
install -m 644 %{SOURCE2} %{buildroot}/usr/share/applications/kde/
# install qt3-interface
install src/interface_qt3.py  %{buildroot}/usr/share/fusion-icon/
%endif

rm -f %{buildroot}%{_libdir}/beryl/*.{a,la}
rm -rf %{buildroot}/usr/local

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/fusion-icon
%{_datadir}/applications/fusion-icon.desktop
%dir %{_datadir}/fusion-icon
%{_datadir}/fusion-icon/fusion-icon.py
%{_datadir}/fusion-icon/interface_gtk.py
%{_datadir}/fusion-icon/interface_qt4.py
%{_datadir}/fusion-icon/libfusionicon.py
%{_datadir}/icons/hicolor/*/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg

%if %{with_qt3}
%files qt3
%defattr(-,root,root)
%{_datadir}/applications/kde/fusion-icon-qt3.desktop
%{_datadir}/fusion-icon/interface_qt3.py
%endif

%changelog
* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070717.2m)
- remove icon.patch

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Sun Jul  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070707.5m)
- fix typo kde-window-deocrator -> kde-window-decorator

* Sat Jul  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070707.4m)
- revive fusion-icon-qt3
- fusion-icon* are not stable with KDE, but it is a probably "NVIDIA driver and compiz" issue

* Sat Jul  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070707.3m)
- use specopt and %%global with_qt3 0
- revise fusion-icon-qt3
- update fusion-icon*.desktop

* Sat Jul  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070707.2m)
- update fusion-icon-qt3

* Sat Jul  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070707.2m)
- update fusion-icon-qt3

* Sat Jul  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070707.1m)
- update 20070707

* Thu Jul  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070704.2m)
- add a package fusion-icon-qt3
- add Obsoletes: pykompiz

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070704.1m)
- initial commit
